/*--------------------------------------------------------------------.
| charsel.c                                                           |
|                                                                     |
| (c) 1997 Christopher Cave and Jonathan Hudson                       |
| This file is part of the freely distributable menu_rext c68 library |
| It may be distributed under the same terms as c68                   |
|                                                                     |
| Authors:                                                            |
|    Christopher Cave    <ccave@cix.compulink.co.uk>                  |
|    Jonathan Hudson     <jrhudson@bigfoot.com>                       |
| Bug fixes and improvements:                                         |
|    Thierry Godefroy    <godefroy@imaginet.fr>                       |
 --------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <qdos.h>
#include <qptr.h>

#include "menu.h"
#include "menuP.h"

int CharSel (char *name, long avbit, char *buf, void *font, int xpos, int ypos, int mainc, int listc)
{
    QD_TEXT (39) namestr;
    QD_TEXT (2) rsltstr;

    MENUCHSL cs;

    cs.font = (long) font;
    cs.xpos = xpos;
    cs.ypos = ypos;
    cs.mainc = mainc;
    cs.listc = listc;

    cs.mennm.info = 0;
    if (name)
    {
        cs.mennm.attr = THP_CALL | THP_STR;
        MOVEINS (&namestr, name);
        cs.mennm.ptr = &namestr;
    }
    else
    {
        cs.mennm.attr = 0;
        cs.mennm.ptr = NULL;
    }
    
    cs.avbit = avbit;
    cs.avbl[0] = cs.avbl[1] = 0;

    cs.retst.attr = THP_RET | THP_STR;
    cs.retst.info = 0;
    cs.retst.ptr = &rsltstr;

    if (strlen (buf) < 2)
    {
        MOVEINS (&rsltstr, buf);
    }
    else
    {
        rsltstr.len = 0;
    }

    return(_use_qmenu(CHSL, &cs));
}
