/*--------------------------------------------------------------------.
| extselect.c                                                         |
|                                                                     |
| (c) 1997 Christopher Cave and Jonathan Hudson                       |
| This file is part of the freely distributable menu_rext c68 library |
| It may be distributed under the same terms as c68                   |
|                                                                     |
| Authors:                                                            |
|    Christopher Cave    <ccave@cix.compulink.co.uk>                  |
|    Jonathan Hudson     <jrhudson@bigfoot.com>                       |
| Bug fixes and improvements:                                         |
|    Thierry Godefroy    <godefroy@imaginet.fr>                       |
 --------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <qdos.h>
#include <qptr.h>

#include "menu.h"
#include "menuP.h"

int ExtSelect (char *buf, int xpos, int ypos, int mainc)
{
    int iret;
    QD_TEXT (39) rsltstr;
    MENUXSEL x;

    rsltstr.len = 0;
    x.xpos = xpos;
    x.ypos = ypos;
    x.mainc = mainc;
    x.fname.attr = THP_RET | THP_STR;
    x.fname.info = 0;
    x.fname.ptr = &rsltstr;

    iret = _use_qmenu(XSEL, &x);
    if (iret >= 0)
        RESTORES (buf, &rsltstr);
    return iret;
}
