/*--------------------------------------------------------------------.
| reporterror.c                                                       |
|                                                                     |
| (c) 1997 Christopher Cave and Jonathan Hudson                       |
| This file is part of the freely distributable menu_rext c68 library |
| It may be distributed under the same terms as c68                   |
|                                                                     |
| Authors:                                                            |
|    Christopher Cave    <ccave@cix.compulink.co.uk>                  |
|    Jonathan Hudson     <jrhudson@bigfoot.com>                       |
| Bug fixes and improvements:                                         |
|    Thierry Godefroy    <godefroy@imaginet.fr>                       |
 --------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <qdos.h>
#include <qptr.h>

#include "menu.h"
#include "menuP.h"

long ReportError (long errnum, int xpos, int ypos, int mainc)
{
    MENURPER er;

    er.error = 0;
    er.xpos = xpos;
    er.ypos = ypos;
    er.mainc = mainc;

    if (0 <= (er.error = errnum))
        return errnum;

    return (long) _use_qmenu(RPER, &er);
}
